shishi_tkt_keytype_p(3)

NAME
shishi_tkt_keytype_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_keytype_p(Shishi_tkt * tkt, int32_t etype);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

int32_t etype
    encryption type, see Shishi_etype.

DESCRIPTION
Determine if key in ticket (really EncKDCRepPart) is of specified key type (really encryption type).

RETURN VALUE
Returns non-0 iff key in ticket is of specified encryption type.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.